WPA2 ha sido hackeado: redes WiFi vulnerables


En el dia de hoy se han confirmado los rumores de que el sistema de encriptación WPA2 ha sido vulnerado.Aunque se mantuvo en secreto durante semanas, salió a la luz este domingo

WPA2, siglas de Wi-Fi Protected Access 2, estába considerado como el sistema de proteccion de redes inalámbricas con máxima seguridad, un protocolo de seguridad para las redes WiFi con 13 años de antigüedad. Hasta la fecha, y a diferencia de WEP o WPA, este método había sido considerado el más seguro y virtualmente imposible de romper su cifrado. No obstante, mediante un conjunto de técnicas bautizadas como KRACK, el protocolo WPA2 ha sido hackeado y todas las redes WiFi serán vulnerables bajo este escenario.

Dicho de otra manera, la mayoría de las redes innalambricas, conocidas como WiFi, protegidas, incluidas las redes WPA2 personales y empresariales, se ven afectadas. Todos los clientes y puntos de acceso que se probaron en la práctica fueron vulnerables a alguna variante del ataque

Esta vulnerabillidad ha sido descubierta por los investigadores Mathy Vanhoef y Frank Piessens, de la Katholieke Universiteit Leuven en Bélgica. Al realizar un nuevo tipo de ataque contra el protocolo de 4 vías del protocolo WPA2, Mathy encontró una forma de evitar la seguridad ofrecida por el protocolo WPA2. Cada vez que alguien se une a una red Wi-Fi, se ejecuta un enlace de 4 vías, conocido como “ 4-way handshake”, para producir una nueva clave de cifrado para todo el tráfico subsiguiente. Para garantizar la seguridad, una llave debe instalarse y usarse solo una vez. Pero al utilizar el ataque de reinstalación de clave (KRACK), un atacante puede engañar a una víctima para que reinstale una clave ya en uso que le permite robar información confidencial o incluso, dependiendo de la configuración de la red, inyectar malware en un sitio web.

Como prueba de concepto, los desarrolladores han mostrado el ataque del exploit KRACK lanzado contra un smartphone con Android. En el siguiente vídeo podemos ver como el atacante ha sido capaz de descifrar todos los datos trasmitidos por el smartphone de la víctima que estaba conectado a una red WiFi con WPA2.


El investigador Mathy Vanhoef  ha publicado toda la información al respecto en la web krackattacks.com. En el sitio se  advierte que los atacantes pueden explotar el error para descifrar una gran cantidad de datos confidenciales que normalmente están encriptados por el protocolo de encriptación Wi-Fi casi omnipresente. 
Esto se puede usar para robar información confidencial, como números de tarjetas de crédito, contraseñas, mensajes de chat, correos electrónicos, fotos, etc.

Todos los sistemas operativos están afectados (Android, Windows, iOS, macOS, Linux, OpenBSD, etc), así como el hardware de todos los fabricantes.  Ni Windows ni iOS son vulnerables a los ataques más severos. Linux y Android parecen ser más susceptibles, porque los atacantes pueden forzar el descifrado de la red en los clientes en segundos con poco esfuerzo.

Vanhoef dijo que los clientes pueden parchearse para evitar ataques incluso cuando están conectados a puntos de acceso vulnerables. Los parches de Linux se han desarrollado, pero no está claro cuándo estarán disponibles para varias distribuciones y para los usuarios de Android. Los parches también están disponibles para algunos pero no todos los puntos de acceso Wi-Fi.


El CERT (Computer Emergency Response Team: Equipo de Respuesta ante Emergencias Informáticas) de los Estados Unidos ya ha emitido un comunicado a cerca de 100 organizaciones advirtiéndoles de la investigación.
US-CERT ha sido consciente de varias vulnerabilidades de administración clave en el protocolo de seguridad Wi-Fi Protected Access II (WPA2) de 4 vías. El impacto de la explotación de estas vulnerabilidades incluye descifrado, repetición de paquetes, secuestro de conexión TCP, inyección de contenido HTTP y otros. Tenga en cuenta que, como problemas de nivel de protocolo, la mayoría o todas las implementaciones correctas del estándar se verán afectadas. El CERT / CC y el investigador informante KU Leuven publicarán públicamente estas vulnerabilidades el 16 de octubre de 2017.
Por lo pronto algunas compañías con mentalidad de seguridad ya han trabajado en soluciones y están ofreciendo parches actualizados. Se prevee que la lista se siga actualizando con el correr de los días:
  • Arch Linux: parche W supplicant, parche Hostapd 
  • Aruba 
  • Cisco 
  • Meraki
  • DD-WRT 
  • Debian / Ubuntu 
  • Fortinet 
  • LEDE / OpenWrt 
  • Microsoft 
  • MikroTik 
  • Netgear: WAC120, WAC505/WAC510, WAC720 /730, WN604, WNAP210v2, WNAP320, WNDAP350, WNDAP620, WNDAP660, WND930 
  • Ubiquiti 
  • Watchguard Cloud

Microsoft publicó hace una semana un aviso  que explica las condiciones que son necesarias para que los atacantes exploten máquinas vulnerables de Windows. También emitió una actualización la semana pasada que corrige el problema.

De ser posible, las personas con puntos de acceso y clientes vulnerables deberían evitar usar Wi-Fi hasta que los parches estén disponibles y, en su lugar, usar conexiones por cable. Cuando Wi-Fi es la única opción de conexión, las personas deben usar HTTPS, STARTTLS, Secure Shell y otros protocolos confiables para cifrar el tráfico web y de correo electrónico a medida que pasa entre las computadoras y los puntos de acceso. Como usuarios de respaldo, deberían considerar usar una red privada virtual como una medida de seguridad adicional, pero se les recuerda a los usuarios que elijan cuidadosamente a sus proveedores de VPN, ya que no se puede confiar en muchos servicios para que los usuarios sean más seguros .





Publicar un comentario

 
Mundo Cyberia 2017